<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Reporting Bugs &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="next" title="Copyright" href="copyright.html" />
    <link rel="prev" title="About these documents" href="about.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="copyright.html" title="Copyright"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="about.html" title="About these documents"
             accesskey="P">previous</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="reporting-bugs">
<span id="id1"></span><h1>Reporting Bugs<a class="headerlink" href="#reporting-bugs" title="Permalink to this headline">¶</a></h1>
<p>Python is a mature programming language which has established a reputation for
stability.  In order to maintain this reputation, the developers would like to
know of any deficiencies you find in Python.</p>
<div class="section" id="documentation-bugs">
<h2>Documentation bugs<a class="headerlink" href="#documentation-bugs" title="Permalink to this headline">¶</a></h2>
<p>If you find a bug in this documentation or would like to propose an improvement,
please submit a bug report on the <a class="reference internal" href="#using-the-tracker"><span>tracker</span></a>.  If you
have a suggestion how to fix it, include that as well.</p>
<p>If you&#8217;re short on time, you can also email documentation bug reports to
<a class="reference external" href="mailto:docs&#37;&#52;&#48;python&#46;org">docs<span>&#64;</span>python<span>&#46;</span>org</a> (behavioral bugs can be sent to <a class="reference external" href="mailto:python-list&#37;&#52;&#48;python&#46;org">python-list<span>&#64;</span>python<span>&#46;</span>org</a>).
&#8216;docs&#64;&#8217; is a mailing list run by volunteers; your request will be noticed,
though it may take a while to be processed.</p>
<div class="admonition seealso">
<p class="first admonition-title">See also</p>
<p class="last"><a class="reference external" href="https://bugs.python.org/issue?&#64;filter=status&amp;&#64;filter=components&amp;components=4&amp;status=1&amp;&#64;columns=id,activity,title,status&amp;&#64;sort=-activity">Documentation bugs</a> on the Python issue tracker</p>
</div>
</div>
<div class="section" id="using-the-python-issue-tracker">
<span id="using-the-tracker"></span><h2>Using the Python issue tracker<a class="headerlink" href="#using-the-python-issue-tracker" title="Permalink to this headline">¶</a></h2>
<p>Bug reports for Python itself should be submitted via the Python Bug Tracker
(<a class="reference external" href="https://bugs.python.org/">https://bugs.python.org/</a>).  The bug tracker offers a Web form which allows
pertinent information to be entered and submitted to the developers.</p>
<p>The first step in filing a report is to determine whether the problem has
already been reported.  The advantage in doing so, aside from saving the
developers time, is that you learn what has been done to fix it; it may be that
the problem has already been fixed for the next release, or additional
information is needed (in which case you are welcome to provide it if you can!).
To do this, search the bug database using the search box on the top of the page.</p>
<p>If the problem you&#8217;re reporting is not already in the bug tracker, go back to
the Python Bug Tracker and log in.  If you don&#8217;t already have a tracker account,
select the &#8220;Register&#8221; link or, if you use OpenID, one of the OpenID provider
logos in the sidebar.  It is not possible to submit a bug report anonymously.</p>
<p>Being now logged in, you can submit a bug.  Select the &#8220;Create New&#8221; link in the
sidebar to open the bug reporting form.</p>
<p>The submission form has a number of fields.  For the &#8220;Title&#8221; field, enter a
<em>very</em> short description of the problem; less than ten words is good.  In the
&#8220;Type&#8221; field, select the type of your problem; also select the &#8220;Component&#8221; and
&#8220;Versions&#8221; to which the bug relates.</p>
<p>In the &#8220;Comment&#8221; field, describe the problem in detail, including what you
expected to happen and what did happen.  Be sure to include whether any
extension modules were involved, and what hardware and software platform you
were using (including version information as appropriate).</p>
<p>Each bug report will be assigned to a developer who will determine what needs to
be done to correct the problem.  You will receive an update each time action is
taken on the bug.</p>
<div class="admonition seealso">
<p class="first admonition-title">See also</p>
<dl class="last docutils">
<dt><a class="reference external" href="http://www.chiark.greenend.org.uk/~sgtatham/bugs.html">How to Report Bugs Effectively</a></dt>
<dd>Article which goes into some detail about how to create a useful bug report.
This describes what kind of information is useful and why it is useful.</dd>
<dt><a class="reference external" href="https://developer.mozilla.org/en-US/docs/Mozilla/QA/Bug_writing_guidelines">Bug Writing Guidelines</a></dt>
<dd>Information about writing a good bug report.  Some of this is specific to the
Mozilla project, but describes general good practices.</dd>
</dl>
</div>
</div>
<div class="section" id="getting-started-contributing-to-python-yourself">
<h2>Getting started contributing to Python yourself<a class="headerlink" href="#getting-started-contributing-to-python-yourself" title="Permalink to this headline">¶</a></h2>
<p>Beyond just reporting bugs that you find, you are also welcome to submit
patches to fix them.  You can find more information on how to get started
patching Python in the <a class="reference external" href="https://docs.python.org/devguide/">Python Developer&#8217;s Guide</a>.  If you have questions,
the <a class="reference external" href="https://mail.python.org/mailman/listinfo/core-mentorship/">core-mentorship mailing list</a> is a friendly place to get answers to
any and all questions pertaining to the process of fixing issues in Python.</p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="contents.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Reporting Bugs</a><ul>
<li><a class="reference internal" href="#documentation-bugs">Documentation bugs</a></li>
<li><a class="reference internal" href="#using-the-python-issue-tracker">Using the Python issue tracker</a></li>
<li><a class="reference internal" href="#getting-started-contributing-to-python-yourself">Getting started contributing to Python yourself</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="about.html"
                        title="previous chapter">About these documents</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="copyright.html"
                        title="next chapter">Copyright</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="#">Report a Bug</a></li>
  <li><a href="_sources/bugs.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="copyright.html" title="Copyright"
             >next</a> |</li>
        <li class="right" >
          <a href="about.html" title="About these documents"
             >previous</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="#">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>